> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yapily.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Pay By Link

> Used to created a long lived payment request for Pay By Link

<Info>Learn more: [Pay By Link](/tools-and-services/pay-by-link/overview)</Info>


## OpenAPI

````yaml /openapi-converted.json post /hosted/payment-requests/links
openapi: 3.0.1
info:
  description: >-
    The Yapily API enables connections between your application and users'
    banks. For more information check out our [documentation](/introduction).


    In particular, make sure to view our [Getting
    Started](/getting-started/get-started) steps if this is your first time
    here.


    While testing the API, our list of [sandbox
    credentials](/resources/sandbox/sandbox-credentials) maybe useful.
  title: Yapily API
  version: 12.3.4
  contact:
    name: Yapily Support
    url: https://docs.yapily.com/resources/support
    email: support@yapily.com
servers:
  - url: https://api.yapily.com
security:
  - basicAuth: []
tags:
  - description: >-
      The `Application` is the base entity that is used to interact with the API
      and contains a collection of `Institution` objects. You can have multiple
      Applications associated with your account e.g. a production application
      with live access to each `Institution` and a development application with
      access to sandboxes.
    name: Application
  - description: >-
      The Users endpoints are used to manage each user (otherwise known as the
      PSU) in Yapily. Each user belongs to an Application and as a consequence,
      so do each `Consent` created for a particular `User`.
    name: Users
  - description: >-
      An `Institution` object represents any Account Serving Payment Servicing
      Provider (ASPSP) that has been integrated and is accessible through the
      Yapily APIs (ASPSPs are entities that publish Read/Write APIs to permit,
      with customer consent, payments initiated by third party providers and/or
      make their customers financial data available to third party providers via
      their API endpoints).


      Any one of the following would be represented as Institution:


      - Traditional banks e.g. Santander

      - Neo-banks e.g. Monzo

      - Building societies e.g. Cumberland Building Society
    name: Institutions
  - description: >-
      The Consents endpoints are used to manage each `Consent` created by Yapily
      in response to an authorisation created for a user.


      The `Consent` object contains data that identifies a user's consent for a
      specific `Institution` within a Yapily application. Other than the id of
      the consent, the `institution-id` for the corresponding `Institution` and
      the user identifiers (`user-uuid` and `application-user-id`), it contains
      various details that indicates how the `Consent` can be used.
    name: Consents
  - description: >-
      Before calling [Financial Data](#yapily-api-financial-data) or
      [Payments](#yapily-api-payments) endpoints, a consent from an end-user
      must be obtained.


      Consents are valid for up to 90 days for Financial Data endpoints and have
      a single-use for Payment endpoints i.e. a new consent must be obtained for
      each payment.


      NOTE: A user consent is also referred to as an 'Authorisation'.
    name: Authorisations
  - description: >-
      In order to access a user's Financial Data, you are required to request an
      [Authorisation](#tag/Authorisations) from the user to share the account
      information the bank has. Once a `consent-token` is obtained, you can call
      the necessary Financial Data endpoint(s) to retrieve the user's data.
    name: Financial Data
  - description: >-
      In order to make a Payment on behalf of a user, you are required to
      request an [Authorisation](#tag/Authorisations) from the user to authorise
      the user's account to make the payment from. Once a `consent-token` is
      obtained, you can call the necessary Payments endpoint(s) to execute a
      payment.
    name: Payments
  - description: >+
      The Notifications endpoints provide an interactive way for user to receive
      notifications according to different event-types. This feature is
      currently in private beta. Please reach out if you require access. 

    name: Notifications
  - description: >-
      Variable Recurring Payments enables transfer of money between accounts
      held by the same person or transfer of money for business payments. 


      In order to make Sweeping Variable Recurring Payments on behalf of a user,
      you are required to request an [Consent](#tag/Authorisations) from the
      user by calling the Sweeping Consent endpoint to authorise the user's
      account to make the payment. Once a `consent-token` is obtained, you can
      call the Payments endpoint to execute the Sweeping Variable Recurring
      Payments transaction. Before executing the payment, you have the option to
      confirm availability of funds in the user's account by calling the Funds
      Confirmation endpoint. 


      See [VRP Payments](/payments/vrps/additional-information) for more
      information.
    name: Variable Recurring Payments
  - description: Hosted Payment Pages endpoints for payments products
    name: Hosted Payment Pages
  - description: Hosted Consent Pages endpoints for data products
    name: Hosted Consent Pages
  - description: >-
      The constraints endpoints can be used to retrieve institution specific
      data requirements and rules that will apply when performing other
      operations.
    name: Constraints
  - description: >-
      Application Management endpoints help with creating and managing client
      sub-applications.
    name: Application Management
  - description: 'Data Plus endpoints enable our customers to enrich transaction data. '
    name: Data Plus
  - description: Webhook endpoints
    name: Webhooks
  - description: Application Beneficiaries Endpoints
    name: Application Beneficiaries
  - description: User Beneficiaries Endpoints
    name: User Beneficiaries
paths:
  /hosted/payment-requests/links:
    post:
      tags:
        - Hosted Payment Pages
      summary: Create Pay By Link
      description: Used to created a long lived payment request for Pay By Link
      operationId: createHostedPaymentRequestLink
      requestBody:
        content:
          application/json;charset=UTF-8:
            examples:
              Create Hosted Payment Request:
                $ref: '#/components/examples/create-hosted-payment-request-link'
            schema:
              $ref: '#/components/schemas/CreateHostedPaymentRequestLink'
        required: true
      responses:
        '201':
          content:
            application/json;charset=UTF-8:
              examples:
                Create Hosted Payment Request Response:
                  $ref: >-
                    #/components/examples/create-hosted-payment-request-link-response
              schema:
                $ref: >-
                  #/components/schemas/ApiResponseOfCreateHostedPaymentRequestLink
          description: Created
        '400':
          content:
            application/json;charset=UTF-8:
              examples:
                400 Error Response:
                  $ref: '#/components/examples/400-error-response'
              schema:
                $ref: '#/components/schemas/ApiResponseError'
          description: Bad Request
        '401':
          content:
            application/json;charset=UTF-8:
              examples:
                401 Error Response:
                  $ref: '#/components/examples/401-error-response'
              schema:
                $ref: '#/components/schemas/ApiResponseError'
          description: Unauthorized. Credentials are missing or invalid
        '500':
          content:
            application/json;charset=UTF-8:
              examples:
                500 Error Response:
                  $ref: '#/components/examples/500-error-response'
              schema:
                $ref: '#/components/schemas/ApiResponseError'
          description: Unexpected Error
        default:
          content:
            application/json;charset=UTF-8:
              examples:
                Error Response:
                  $ref: '#/components/examples/error-response-code-401'
              schema:
                $ref: '#/components/schemas/ApiResponseError'
          description: Error Response
components:
  examples:
    create-hosted-payment-request-link:
      description: Create Hosted payment request
      value:
        userId: 3ddf5dd0-aa48-4d0f-baa7-fa057e9e911d
        applicationUserId: string
        institutionIdentifiers:
          institutionId: modelo-sandbox
          institutionCountryCode: GB
        userSettings:
          language: en
          location: GB
        redirectUrl: https://tpp-application.com/
        paymentRequestDetails:
          amountDetails:
            amountToPay: 1
            currency: GBP
          reference: Test Payment
          contextType: OTHER
          type: DOMESTIC_PAYMENT
          payee:
            name: Jane Doe
            accountIdentifications:
              - type: SORT_CODE
                identification: '123456'
              - type: ACCOUNT_NUMBER
                identification: '12345678'
          payer:
            name: John Doe
            accountIdentifications:
              - type: SORT_CODE
                identification: '121212'
              - type: ACCOUNT_NUMBER
                identification: '87654321'
    create-hosted-payment-request-link-response:
      description: Create Hosted Payment Response
      value:
        meta:
          tracingId: 2dbfd85b4f2940c6a206e96dd90e52d0
        data:
          paymentRequestId: eb39f8ae-aeff-4ffa-a23d-d4a5b3eff406
          userId: 3ddf5dd0-aa48-4d0f-baa7-fa057e9e911d
          applicationUserId: string
          applicationId: 64949de6-6510-4d70-9500-d4aa094c506c
          institutionIdentifiers:
            institutionId: modelo-sandbox
            institutionCountryCode: GB
          userSettings:
            language: en
            location: GB
          redirectUrl: https://tpp-application.com/
          paymentRequestDetails:
            amountDetails:
              amountToPay: 10
              currency: GBP
            reference: Test Payment
            contextType: OTHER
            type: DOMESTIC_PAYMENT
            payee:
              name: Jane Doe
              accountIdentifications:
                - type: SORT_CODE
                  identification: '123456'
                - type: ACCOUNT_NUMBER
                  identification: '12345678'
            payer:
              name: John Doe
              accountIdentifications:
                - type: SORT_CODE
                  identification: '121212'
                - type: ACCOUNT_NUMBER
                  identification: '87654321'
          hostedUrl: https://prototypes.yapily.com/auth-link1.html
          authToken: >-
            eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c
          createdAt: '2021-06-10T11:26:54.887Z'
          authorisationExpiresAt: '2021-06-10T11:36:54.887Z'
          status: ACTIVE
    400-error-response:
      description: 400 Error
      value:
        error:
          tracingId: 0c2d0973bdd24224a65e5d0f7d1b6154
          code: 400
          status: BAD_REQUEST
          supportUrl: https://support.yapily.com/
          source: YAPILY
          issues:
            - type: BAD_REQUEST
              code: 10600
              message: >-
                The server could not understand the request due to invalid
                syntax
    401-error-response:
      description: 401 Error
      value:
        error:
          tracingId: 0c2d0973bdd24224a65e5d0f7d1b6154
          code: 401
          status: UNAUTHORIZED
          supportUrl: https://support.yapily.com/
          source: YAPILY
          issues:
            - type: CREDENTIALS
              code: 10700
              message: Authorization header invalid or credentials not authenticated
    500-error-response:
      description: 500 Error
      value:
        error:
          tracingId: 0c2d0973bdd24224a65e5d0f7d1b6154
          code: 500
          status: INTERNAL SERVER ERROR
          supportUrl: https://support.yapily.com/
          source: YAPILY
          issues:
            - type: INTERNAL_SERVER_ERROR
              code: 11000
              message: Unexpected server error
    error-response-code-401:
      description: Error Response
      value:
        error:
          code: 401
          status: UNAUTHORIZED
          message: Full authentication is required to access this resource
  schemas:
    CreateHostedPaymentRequestLink:
      required:
        - redirectUrl
        - paymentRequestDetails
        - institutionIdentifiers
      type: object
      properties:
        userId:
          type: string
          format: uuid
          description: >-
            __Conditional__. Yapily Identifier for the `User` returned by the
            create user step POST /users. You must either provide `userId` or
            `applicationUserId`.
        applicationUserId:
          type: string
          description: >-
            __Conditional__. Your own `User` reference. If you want to work with
            their own unique references for individual PSUs then you can use the
            `applicationUserId` property to provide that value. Where Yapily
            does not already have a Yapily userId that matches the supplied
            `applicationUserId`, then a new Yapily userId is created
            automatically and linked to the `applicationUserId` value. You must
            either provide userId or `applicationUserId`.
        institutionIdentifiers:
          $ref: '#/components/schemas/InstitutionIdentifiers'
        userSettings:
          $ref: '#/components/schemas/UserSettings'
        redirectUrl:
          type: string
          description: >-
            URL of your server to redirect the user after completion of the
            payment flow.
          example: https://tpp-application.com
        authorisationExpiresAt:
          type: string
          format: date-time
          description: >-
            The date and time that the authorisation expires. Must be between 10
            minutes and 30 days in the future. If not specified, the
            authorisation URL will expire 10 minutes after creation.
        paymentRequestDetails:
          $ref: '#/components/schemas/HostedPaymentRequestDetailsLink'
    ApiResponseOfCreateHostedPaymentRequestLink:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/ResponseMeta'
        data:
          $ref: '#/components/schemas/HostedPaymentRequestResponse'
    ApiResponseError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ApiError'
        raw:
          deprecated: true
          type: array
          items:
            $ref: '#/components/schemas/RawResponse'
      description: >-
        Used to return errors from the bank from each request


        - `400` - Returned by any `POST` endpoint when the body does not conform
        to the contract

        - `401` - Returned by any endpoint when an invalid `authToken` is used
        for authentication

        - `403` - Returned by any [Financial
        Data](/api-reference#financial-data) and any
        [Payments](/api-reference#payments) endpoint when the `Consent` is no
        longer authorised to access financial data or to make a payment

        - `404` - Returned by any endpoint where there are path parameters and
        the path parameters supplied are unable to find the desired resource

        - `409` - Returned by any `POST` endpoint when creating a resource that
        conflicts with any other existing resource e.g. [Create
        User](/api-reference/addUser)

        - `424` - Returned by any [Financial
        Data](/api-reference#financial-data) and any
        [Payments](/api-reference#payments) endpoint when the feature to be
        accessed is not supported by the `Institution`.

        - `500` - Returned by any endpoint when Yapily is down. If you encounter
        any false positives, please [notify us](mailto:support@yapily.com)
      example:
        error:
          tracingId: 74b13ce8ed51419f92c5d609e04532de
          code: 424
          institutionError:
            errorMessage: >-
              {"Code":"500 Internal Server
              Error","Id":"5ff8d331-4282-41e0-b5ef-1ac9ac39f009","Message":"Technical
              Error. Please try again
              later","Errors":[{"ErrorCode":"UK.OBIE.UnexpectedError","Message":"There
              was a problem processing your request. Please try again later"}]}
            httpStatusCode: 500
          source: INSTITUTION
          status: FAILED_DEPENDENCY
    InstitutionIdentifiers:
      description: >-
        Specifies the institution requirements for making the payment. Skips the
        bank selection screen in payment flow if the `institutionId` and
        `institutionCountryCode` are provided.
      type: object
      required:
        - institutionCountryCode
      properties:
        institutionId:
          type: string
          description: >-
            Yapily identifier which identifies the `Institution` the payment
            request is sent to.
        institutionCountryCode:
          type: string
          description: >-
            2 letter ISO Country code of the `Institution` the payment request
            is sent to.
          example: GB
    UserSettings:
      description: Specifies the language and location preferences of the user.
      type: object
      properties:
        language:
          type: string
          description: >-
            2 letter ISO Language code which denotes the language preference for
            the `User`.
          example: en
        location:
          type: string
          description: >-
            2 letter ISO Country code which denotes the location preference for
            the `User`.
          example: GB
    HostedPaymentRequestDetailsLink:
      type: object
      properties:
        reference:
          type: string
          description: >-
            The payment reference or description. Limited to a maximum of 18
            characters for UK institutions.
          example: Bill payment
        contextType:
          $ref: '#/components/schemas/PaymentContextTypeResponse'
        type:
          $ref: '#/components/schemas/PaymentTypeResponse'
        payee:
          $ref: '#/components/schemas/PayeeDetailsResponse'
        payer:
          $ref: '#/components/schemas/PayerDetailsResponse'
        amountDetails:
          $ref: '#/components/schemas/AmountDetailsResponse'
        paymentDueDate:
          type: string
          format: date
          description: >-
            The date that the payment is due. Displayed to the end user in the
            payment summary screen.
    ResponseMeta:
      type: object
      properties:
        tracingId:
          type: string
    HostedPaymentRequestResponse:
      type: object
      properties:
        paymentRequestId:
          type: string
          format: uuid
          description: Unique Id of the payment request.
        userId:
          type: string
          format: uuid
          description: Unique Id for the `User` assigned by Yapily.
        applicationUserId:
          type: string
          description: Your reference to the `User`.
        applicationId:
          type: string
          format: uuid
          description: Unique Id of the `Application` the user is associated with.
        institutionIdentifiers:
          $ref: '#/components/schemas/InstitutionIdentifiersResponse'
        userSettings:
          $ref: '#/components/schemas/UserSettings'
        redirectUrl:
          type: string
          description: >-
            URL of payment server to redirect the user after completion of the
            payment flow.
          example: https://tpp-application.com
        paymentRequestDetails:
          $ref: '#/components/schemas/HostedPaymentResponseDetails'
        hostedUrl:
          type: string
          description: >-
            The URL of Hosted UI page for the applicationId which initiates the
            user journey for the payment. 

             URL would be appended with authToken, applicationId and userSettings.
        createdAt:
          type: string
          format: date-time
          description: The date and time at which the payment was created.
        authorisationExpiresAt:
          type: string
          format: date-time
          description: The date and time at which the auth Token will expire.
        status:
          type: string
          description: Current status of the payment request.
    ApiError:
      type: object
      description: Provides details of the error that has occurred.
      properties:
        code:
          type: integer
          description: __Mandatory__. Numeric `HTTP` status code associated with the error.
          format: int32
        institutionError:
          $ref: '#/components/schemas/InstitutionError'
        message:
          type: string
          description: >-
            __Mandatory__. Description of the exact error that has been
            experienced.
        source:
          type: string
        status:
          type: string
          description: __Mandatory__. Textual description of the `HTTP` error status type.
        tracingId:
          type: string
          description: >-
            __Optional__.  A unique identifier assigned by Yapily for the
            request that can be used for support purposes.
    RawResponse:
      deprecated: true
      type: object
      description: >-
        [DEPRECATED] Interaction (raw request and response) that occurred with
        the `Institution` in order to fulfil a request.
      properties:
        request:
          $ref: '#/components/schemas/RawRequest'
        duration:
          type: string
          format: iso8601
        headers:
          type: object
          additionalProperties:
            type: string
        resultCode:
          type: integer
          format: int32
        result:
          type: object
    PaymentContextTypeResponse:
      title: Payment Code
      type: string
      description: The payment context code.
      enum:
        - BILL
        - GOODS
        - SERVICES
        - OTHER
        - PERSON_TO_PERSON
    PaymentTypeResponse:
      title: Payment Type
      type: string
      description: >-
        Specifies which of the [payment
        types](/payments/payment-resources/intro-to-payment-execution#payment-types)
        to execute.
      enum:
        - DOMESTIC_PAYMENT
        - DOMESTIC_INSTANT_PAYMENT
        - DOMESTIC_VARIABLE_RECURRING_PAYMENT
        - DOMESTIC_SCHEDULED_PAYMENT
        - DOMESTIC_PERIODIC_PAYMENT
        - INTERNATIONAL_PAYMENT
        - INTERNATIONAL_SCHEDULED_PAYMENT
        - INTERNATIONAL_PERIODIC_PAYMENT
    PayeeDetailsResponse:
      title: Payee Details
      type: object
      description: ' Details of the beneficiary [person or business].'
      properties:
        name:
          title: Payee Name
          type: string
          description: The account holder name of the beneficiary.
          example: Jane Doe
        accountIdentifications:
          uniqueItems: true
          type: array
          description: The account identifications that identify the `Payee` bank account.
          example:
            - identification: '401016'
              type: SORT_CODE
            - identification: '71518920'
              type: ACCOUNT_NUMBER
          items:
            $ref: '#/components/schemas/AccountIdentificationResponse'
        address:
          $ref: '#/components/schemas/AddressResponse'
        merchantId:
          title: Merchant Id
          type: string
          description: >-
            The merchant ID is a unique code provided by the payment processor
            to the merchant.
          example: '24589303'
        merchantCategoryCode:
          title: Merchant Category
          type: string
          description: >-
            The category code of the merchant in case the `Payee` is a business.
            Specified as a 3-letter ISO 18245 code.
          example: '5551'
    PayerDetailsResponse:
      title: Payer Details
      type: object
      properties:
        name:
          title: Payer Name
          type: string
          description: The account holder name of the Payer.
          example: John Doe
        accountIdentifications:
          uniqueItems: true
          type: array
          description: The account identifications that identify the `Payer` bank account.
          items:
            $ref: '#/components/schemas/AccountIdentificationResponse'
        address:
          $ref: '#/components/schemas/AddressResponse'
      description: Details of the benefactor [person or business].
    AmountDetailsResponse:
      title: Amount Details
      type: object
      properties:
        amount:
          title: Amount
          type: number
          description: The monetary value
          example: 10
        currency:
          title: Currency
          type: string
          description: The [ISO 4217](https://www.xe.com/iso4217.php) currency code
          example: GBP
      description: Monetary Amount.
    InstitutionIdentifiersResponse:
      description: Specifies the institution selected for making the payment.
      type: object
      properties:
        institutionId:
          type: string
          description: >-
            Yapily identifier which identifies the `Institution` the payment
            request is sent to.
        institutionCountryCode:
          type: string
          description: >-
            2 letter ISO Country code of the `Institution` the payment request
            is sent to.
          example: GB
    HostedPaymentResponseDetails:
      description: Details of the payment.
      type: object
      properties:
        paymentIdempotencyId:
          type: string
          description: >-
            A unique identifier provided to identify the payment. This can be
            any alpha-numeric string but is limited to a maximum of 35
            characters.
          example: 04ab4536gaerfc0e1f93c4f4
        reference:
          type: string
          description: >-
            The payment reference or description. Limited to a maximum of 18
            characters for UK institutions.
          example: Bill payment
        contextType:
          $ref: '#/components/schemas/PaymentContextTypeResponse'
        type:
          $ref: '#/components/schemas/PaymentTypeResponse'
        payee:
          $ref: '#/components/schemas/PayeeDetailsResponse'
        payer:
          $ref: '#/components/schemas/PayerDetailsResponse'
        amountDetails:
          $ref: '#/components/schemas/AmountDetailsResponse'
        paymentDueDate:
          type: string
          format: date
          description: The date that the payment is due.
    InstitutionError:
      type: object
      description: >-
        Raw error details provided by the `Institution`, when it was the error
        source.
      properties:
        errorMessage:
          type: string
          description: Textual description of the `Institution` error.
        httpStatusCode:
          type: integer
          description: Numeric HTTP status code associated with the `Institution` error.
          format: int32
    RawRequest:
      type: object
      properties:
        method:
          type: string
        url:
          type: string
        requestInstant:
          type: string
          format: date-time
        headers:
          type: object
          additionalProperties:
            type: string
        body:
          type: object
        bodyParameters:
          type: object
          additionalProperties:
            type: string
        startTime:
          type: string
          format: date-time
        startedAt:
          type: string
          format: date-time
          deprecated: true
    AccountIdentificationResponse:
      title: Account Identifications
      type: object
      properties:
        type:
          $ref: '#/components/schemas/AccountIdentificationTypeResponse'
        identification:
          title: Account Identification
          type: string
          description: |-
            The value associated with the account identification type.

             See [Account Identification Combinations](/payments/payment-resources/intro-to-payment-execution#account-identifications-combinations) for more information on the format of the values.
          example: '401016'
    AddressResponse:
      title: Address Details
      type: object
      properties:
        addressLines:
          title: Address Lines
          type: array
          description: The address line of the address
          example:
            - Ardenham Court
          items:
            type: string
        streetName:
          title: Street
          type: string
          description: The street name of the address
          example: Oxford Road
        buildingNumber:
          title: Building Number
          type: string
          description: The building number of the address
          example: '45'
        postCode:
          title: Post Code
          type: string
          description: The post code of the address
          example: HP19 3EQ
        townName:
          title: Town
          type: string
          description: The town name of the address
          example: Aylesbury
        county:
          title: County
          type: array
          description: The list of counties for the address
          example:
            - Buckinghamshire
          items:
            type: string
        country:
          title: Country
          type: string
          description: The 2-letter country code for the address.
          example: GB
        department:
          title: Department
          type: string
          description: The department for the address
          example: Unit 2
        subDepartment:
          title: Sub-Department
          type: string
          description: The sub-department for the address
          example: Floor 3
        addressType:
          $ref: '#/components/schemas/AddressTypeEnumResponse'
      description: The address of the `Payee` or `Payer`.
      example:
        country: GB
    AccountIdentificationTypeResponse:
      title: Account Identification Type
      type: string
      description: |-
        Used to describe the format of the account.

         See [Account Identification Combinations](/payments/payment-resources/intro-to-payment-execution#account-identifications-combinations) for more information.
      example: SORT_CODE
      enum:
        - SORT_CODE
        - ACCOUNT_NUMBER
        - IBAN
        - BBAN
        - BIC
        - PAN
        - MASKED_PAN
        - MSISDN
        - BSB
        - NCC
        - ABA
        - ABA_WIRE
        - ABA_ACH
        - EMAIL
        - ROLL_NUMBER
        - BLZ
        - IFS
        - CLABE
        - CTN
        - BRANCH_CODE
        - VIRTUAL_ACCOUNT_ID
    AddressTypeEnumResponse:
      title: Address Type
      type: string
      description: The type of address
      enum:
        - BUSINESS
        - CORRESPONDENCE
        - DELIVERY_TO
        - MAIL_TO
        - PO_BOX
        - POSTAL
        - RESIDENTIAL
        - STATEMENT
        - UNKNOWN
  securitySchemes:
    basicAuth:
      description: >-
        Use HTTP Basic Authentication with your Application ID as username and
        Application Secret as password. Manage credentials in the [Yapily
        Console](https://console.yapily.com/). See
        [Authentication](/api-reference/authentication) for details.
      scheme: basic
      type: http

````